> For the complete documentation index, see [llms.txt](https://docs.salescaling.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.salescaling.com/en/api/call-types.md).

# Call Types

Operations related to call types

## Get all call types

> Returns a list of call types with pagination support.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Call Types","description":"Operations related to call types"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/call-types":{"get":{"operationId":"PublicApiCallTypeController_getCallTypes","summary":"Get all call types","description":"Returns a list of call types with pagination support.","parameters":[{"name":"page","required":false,"in":"query","description":"Page number for pagination (default: 1)","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of items per page (default: 10)","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallTypesResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Call Types"]}}},"components":{"schemas":{"PublicApiGetCallTypesResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/PublicApiCallTypeDto"}}},"required":["statusCode","count","error","data"]},"PublicApiCallTypeDto":{"type":"object","properties":{"id":{"type":"string","description":"ID of the meeting type"},"name":{"type":"string","description":"Name of the meeting type"},"description":{"type":"string","description":"Description of the meeting type"},"isEnabled":{"type":"boolean","description":"Whether the meeting type is enabled"},"score":{"description":"Scores associated with the meeting type","type":"array","items":{"$ref":"#/components/schemas/PublicApiCallTypeScoreDto"}},"type":{"type":"string","description":"Type of meeting","enum":["videocall","presential","phonecall"]}},"required":["id","name","isEnabled","type"]},"PublicApiCallTypeScoreDto":{"type":"object","properties":{"value":{"type":"number","description":"Score value"},"type":{"type":"string","description":"Score type"}},"required":["value","type"]}}}}
```

## Get call type by ID

> Returns a call type by ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Call Types","description":"Operations related to call types"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/call-types/{id}":{"get":{"operationId":"PublicApiCallTypeController_getCallTypeById","summary":"Get call type by ID","description":"Returns a call type by ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call type ID to retrieve.","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallTypeByIdResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Call Types"]}}},"components":{"schemas":{"PublicApiGetCallTypeByIdResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiCallTypeDto"}},"required":["statusCode","count","error","data"]},"PublicApiCallTypeDto":{"type":"object","properties":{"id":{"type":"string","description":"ID of the meeting type"},"name":{"type":"string","description":"Name of the meeting type"},"description":{"type":"string","description":"Description of the meeting type"},"isEnabled":{"type":"boolean","description":"Whether the meeting type is enabled"},"score":{"description":"Scores associated with the meeting type","type":"array","items":{"$ref":"#/components/schemas/PublicApiCallTypeScoreDto"}},"type":{"type":"string","description":"Type of meeting","enum":["videocall","presential","phonecall"]}},"required":["id","name","isEnabled","type"]},"PublicApiCallTypeScoreDto":{"type":"object","properties":{"value":{"type":"number","description":"Score value"},"type":{"type":"string","description":"Score type"}},"required":["value","type"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.salescaling.com/en/api/call-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
